Subject: Re: [PATCH net-next 5/5] r8152: change rx_frag_head_sz and rx_max_agg_num dynamically

From: Maciej Fijalkowski <[email-masked]>
Date: Thu, 8 Aug 2019 13:49:59 +0200

On Thu, 8 Aug 2019 08:52:51 +0000
Hayes Wang <[email-masked]> wrote:

> Jakub Kicinski [mailto:[email-masked]]
> > Sent: Wednesday, August 07, 2019 6:10 AM  
> [...]
> > On Tue, 6 Aug 2019 19:18:04 +0800, Hayes Wang wrote:  
> > > Let rx_frag_head_sz and rx_max_agg_num could be modified dynamically
> > > through the sysfs.
> > >
> > > Signed-off-by: Hayes Wang <[email-masked]>  
> > 
> > Please don't expose those via sysfs. Ethtool's copybreak and descriptor
> > count should be applicable here, I think.  
> 
> Excuse me again.
> I find the kernel supports the copybreak of Ethtool.
> However, I couldn't find a command of Ethtool to use it.

Ummm there's set_tunable ops. Amazon's ena driver is making use of it from what
I see. Look at ena_set_tunable() in
drivers/net/ethernet/amazon/ena/ena_ethtool.c.

Maciej

> Do I miss something?
> Best Regards,
> Hayes